import java.rmi.RemoteException;
import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;
import java.rmi.server.UnicastRemoteObject;

public class ScitaniServiceImpl extends UnicastRemoteObject
        implements ScitaniService {

    public ScitaniServiceImpl() throws RemoteException {
        // exportuje objekt - čeká na spojení na anonymním portu
        super();
        // aktualizuje data ze serveru
    }

    public int secti(int[] pole) throws RemoteException {
        int sum = 0;
        for (int i : pole) {
            sum += i;
        }
        return sum;
    }

    public static void main(String[] args) throws Exception {
        System.out.println("Inicializace ScitaniService...");

        ScitaniServiceImpl service = new ScitaniServiceImpl();
        // určení adresy vzáleného objektu
        String serverObjectName = "ScitaniService";
        // svázání objektu s adresou v RMI registry (musí již běžet)
        Registry registry = LocateRegistry.createRegistry(1099);
        registry.rebind(serverObjectName, service);
        System.out.println("ScitaniService běží.");
    }
}
